
<#-- this pulls in the "brijform" macro -->
<#include "/pss-macros.ftl" />

<div class="padding-4px-all-sides">

<div class="box">
   <h2><@s.text name="psx.ftl.admin_students.guardian_add_dialog.new_parentguardian" /></h2>

	<div class="feedback-list">
    	<@s.actionerror cssClass="feedback-alert" />
	</div>
      <@brijform formAction="/admin/success.html"
           actionNamespace="admin-accountmanagement-pkg"
           actionName="AddNewGuardianToStudent"
	       doc="/admin/students/guardian_add_dialog.html"
           clientSideValidation=true
           chosenTheme="simple" >

		<input type="hidden" value="true" name="render_in_java"/>
	
		<input type="hidden" name="frn" value="${premierSession.currentFrn?html}" />
		<div class="padding-4px-allsides">
        <table class="wwFormTable" cellpadding="2" cellspacing="2">
		  <tr>
		    <td class="bold"><label for="guardian.firstName"><@s.text name="psx.ftl.admin_students.guardian_add_dialog.first_name" /></label></td>
			<td><input type="text" name="guardian.firstName" value="${guardian.firstName}" class="wide-input-text" maxlength="30"/></td>
		  </tr>
		  <tr>
		    <td class="bold"><label for="guardian.lastName"><@s.text name="psx.ftl.admin_students.guardian_add_dialog.last_name" /></label></td>
			<td><input type="text" name="guardian.lastName" value="${guardian.lastName}" class="wide-input-text" maxlength="30"/></td>
		  </tr>
		  <tr>
		    <td class="bold"><label for="guardian.email"><@s.text name="psx.ftl.admin_students.guardian_add_dialog.email" /></label></td>
			<td><input type="text" name="guardian.email" value="${guardian.email?html}" class="wide-input-text" maxlength="256"/></td>
		  </tr>
		  <tr>
		    <td class="bold"><label for="guardian.firstName"><@s.text name="psx.ftl.admin_students.guardian_add_dialog.relationship" /></label></td>
			<td>
			  <select class="wide-input-text" name="selectedRelationshipTypeId" style="width: 140px;">
				<#list relationshipTypes as type>
				  <option value="${type.id?string(0000)}" <#if (type.id == selectedRelationshipTypeId)>selected</#if> >${type.name}</option>
				</#list>
			  </select>
		  </tr>
		  <tr>
			<td colspan="2"></td>
		  <tr>
		    <td class="bold"><label for="accountInfo.username"><@s.text name="psx.ftl.admin_students.guardian_add_dialog.username" /></label></td>
			<td><input type="text" name="accountInfo.username" value="${accountInfo.username}" class="wide-input-text" maxlength="64"/></td>
		  </tr>
		  <tr>
		    <td class="bold"><label for="accountInfo.password"><@s.text name="psx.ftl.admin_students.guardian_add_dialog.password" /></label></td>
			<td><input type="password" maxlength="48" name="accountInfo.password" autocomplete="new-password" value="${accountInfo.password}" class="wide-input-text"/></td>
		  </tr>
		  <tr>
		    <td class="bold"><label for="confirmPassword"><@s.text name="psx.ftl.admin_students.guardian_add_dialog.reenter_password" /></label></td>
			<td><input type="password" name="confirmPassword" value="${confirmPassword}" autocomplete="new-password" class="wide-input-text"/></td>
		  </tr>
        </table>
		</div>
		
		<@pss.legacy>
			~[if.modifypagepermissions]
				<p align="center">
					<a href="/admin/security/modaccess.html?path=students/guardian_add_dialog.html" target="_top">~[text:psx.txt.wildcards.sm_psadmin_content.modify_access_privileges_for_this_page]</a>
				</p>
			[/if]
		</@pss.legacy>
		
	</@brijform>

</div>

<style type="text/css">

#div_popup.yui-panel .ft.IMFooter,
.IMFooter, IMfooter {
	height: 35px!important;
	clear: left!important;
	float: left!important;
	white-space: nowrap!important;
	font-size: 75%!important;
	color: #666!important;
	padding: 0px !important;
	padding-top:3px!important;
	*padding-top:2px!important;
	overflow: hidden!important;
	border: 1px solid #aeaeae;
	border-top: 1px solid #aeaeae!important; 
	border-left: 1px solid #aeaeae!important;
	background-color: #f2f2f2!important;
	width: auto;
	float:none!important;
	clear:both!important;
	margin:0px!important;
}

</style>

</div>

	<@panelFooter panelBorder="" panelColor="" altID="IMfooter">
		<div id="submit_button" class="gb_button floatrt"></div>
		
		<div id="cancel_button" class="gb_button floatrt"></div>
		
	</@panelFooter>


 



