
<meta name="decorator" content="dialog_no_template">
<#-- this pulls in the "brijform" macro -->
<#include "/pss-macros.ftl" />

<div class="box-round">
   <h2><@s.text name="psx.ftl.admin_students.guardian_search_dialog.search_filter" /></h2>

<div class="feedback-list">
    <@s.actionerror cssClass="feedback-alert" />
</div>

      <@brijformTableless formAction="/admin/success.html"
           actionNamespace="admin-accountmanagement-pkg"
           actionName="SearchGuardiansForAccessAccounts"
	       doc="/admin/students/guardian_search_dialog.html"
           clientSideValidation=true
           chosenTheme="simple" >
        <!-- brij adds hidden inputs here-->
		<input type="hidden" value="true" name="render_in_java"/>
		<input type="hidden" name="frn" value="${premierSession.currentFrn?html}" />
		<input type="hidden" name="numberOfSearchAttempts" value="${numberOfSearchAttempts}"/>
		<input type="hidden" id="search-form-submit-operation-input" name="submitOperation" value="search" />
		<input type="hidden" id="search-form-selected-guardian-emails" name="selectedGuardianEmails" value="${selectedGuardianEmails}" />
		<input type="hidden" id="search-form-selected-guardian-relationships" name="selectedGuardianRelationships" value="${selectedGuardianRelationships}" />
		<input type="hidden" id="search-form-selected-guardian-records" name="selectedGuardianRecords" value="${selectedGuardianRecords}" />
	
        <fieldset>
          <div>
	        <label for="searchParameters.firstName"><@s.text name="psx.ftl.admin_students.guardian_search_dialog.first_name" /></label>
	        <input type="text" onKeyPress="return searchOnEnter(event);" id="input_firstName" value="${searchParameters.firstName}" name="searchParameters.firstName" maxlength="64" class="input_field"/>
	     </div>
	     <div>
	        <label for="searchParameters.lastName"><@s.text name="psx.ftl.admin_students.guardian_search_dialog.last_name" /></label>
	        <input type="text" onKeyPress="return searchOnEnter(event);" id="input_lastName" value="${searchParameters.lastName}" name="searchParameters.lastName" maxlength="64" class="input_field"/>
	     </div>
	     <div>
	        <label for="searchParameters.email"><@s.text name="psx.ftl.admin_students.guardian_search_dialog.email" /></label>
	        <input type="text" onKeyPress="return searchOnEnter(event);" id="input_email" value="${searchParameters.email}" name="searchParameters.email" maxlength="256" class="input_field"/>
         
         </div>
      
         </fieldset>
          <div class="button-row">
           <div id="search_button"></div>
         </div>
		 
		<@pss.legacy>
			~[if.modifypagepermissions]
				<p align="center">
					<a href="/admin/security/modaccess.html?path=students/guardian_search_dialog.html" target="_top">~[text:psx.txt.wildcards.sm_psadmin_content.modify_access_privileges_for_this_page]</a>
				</p>
			[/if]
		</@pss.legacy>
		 
      </@brijformTableless>




</div>

<div id="search-results-container">
	<div id="search-results-datatable" class="group">
	
	<#if (numberOfSearchAttempts &gt; 0) >
	
	  <#if (numberOfSearchResults == 0) >
	    <p>
		<@s.text name="psx.ftl.admin_students.guardian_search_dialog.no_parents_were_found_that_matched_your_search_filter" />.
		</p>
	  <#else>
	      <table id="search-guardian-results">
		    <thead>
	        <tr>
	    	  <th><@s.text name="psx.ftl.admin_students.guardian_search_dialog.first_name1" /></th>
	     	  <th><@s.text name="psx.ftl.admin_students.guardian_search_dialog.last_name1" /></th>
			  <th><@s.text name="psx.ftl.admin_students.guardian_search_dialog.email1" /></th>
	     	  <th><@s.text name="psx.ftl.admin_students.guardian_search_dialog.relationship" /></th>
			  <th><@s.text name="psx.ftl.admin_students.guardian_search_dialog.add" /></th>
	    	</tr>
			</thead>
			<tbody>
	    	<#list searchResults as guardian>
	    	  <tr>
	    	    <td>${(guardian.firstName!"")?html}</td>
	    	    <td>${(guardian.lastName!"")?html}</td>
	    	    <td>${(guardian.email!"")?html}</td>
				<td width="180">0</td>
				<td width="20">false</td>
	    	  </tr>
	    	</#list>
			</tbody>
	      </table>
	  </#if>
	  
	</#if>
	</div>
	<div id="search-results-paginator"></div>
</div>


	<@panelFooter panelBorder="" panelColor="" altID="IMfooter">
		<div id="add_button" class="gb_button floatrt"></div>
	
		<div id="create_new_button" class="gb_button floatrt"></div>
		
		<div id="cancel_button" class="gb_button floatrt"></div>
		
	</@panelFooter>


 



